# Class CloseConnectionMessage

#### Hierarchy

- unknown
  - CloseConnectionMessage

- Defined in src/protobuf/pb_pb.d.ts:911
- Defined in src/protobuf/pb_pb.d.ts:923

#####
Index

### Constructors

constructor

### Methods

getReason
serializeBinary
setReason
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new CloseConnectionMessage(): CloseConnectionMessage

- #### Returns CloseConnectionMessage

  Inherited from jspb.Message.constructor

## Methods

### getReason

- getReason(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:912

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:915

### setReason

- setReason(value: string): CloseConnectionMessage

- #### Parameters

  - ##### value: string

  #### Returns CloseConnectionMessage

  - Defined in src/protobuf/pb_pb.d.ts:913

### toObject

- toObject(includeInstance?: boolean): CloseConnectionMessage.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns CloseConnectionMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:916

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): CloseConnectionMessage

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CloseConnectionMessage

  - Defined in src/protobuf/pb_pb.d.ts:919

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CloseConnectionMessage, reader: BinaryReader): CloseConnectionMessage

- #### Parameters

  - ##### message: CloseConnectionMessage

  - ##### reader: BinaryReader

  #### Returns CloseConnectionMessage

  - Defined in src/protobuf/pb_pb.d.ts:920

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: CloseConnectionMessage, writer: BinaryWriter): void

- #### Parameters

  - ##### message: CloseConnectionMessage

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:918

### `Static` toObject

- toObject(includeInstance: boolean, msg: CloseConnectionMessage): CloseConnectionMessage.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CloseConnectionMessage

  #### Returns CloseConnectionMessage.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:917

Generated using TypeDoc